aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/autogen.sh
diff options
context:
space:
mode:
authorWerner Koch <[email protected]>2003-10-25 16:27:59 +0000
committerWerner Koch <[email protected]>2003-10-25 16:27:59 +0000
commit3a498fcc386e6078d55436e98991257c3e1e653e (patch)
tree916b22ce39484e397934b24ad7f5574957512a64 /scripts/autogen.sh
parentNew. (diff)
downloadgnupg-3a498fcc386e6078d55436e98991257c3e1e653e.tar.gz
gnupg-3a498fcc386e6078d55436e98991257c3e1e653e.zip
Updated required versions and add -I m4 to aclocal.
Diffstat (limited to 'scripts/autogen.sh')
-rwxr-xr-xscripts/autogen.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/scripts/autogen.sh b/scripts/autogen.sh
index 8b328e17d..3569a321d 100755
--- a/scripts/autogen.sh
+++ b/scripts/autogen.sh
@@ -13,9 +13,9 @@
PGM=GnuPG
lib_config_files=""
-autoconf_vers=2.52
-automake_vers=1.6
-aclocal_vers=1.6
+autoconf_vers=2.57
+automake_vers=1.7
+aclocal_vers=1.7
ACLOCAL=${ACLOCAL:-aclocal}
AUTOCONF=${AUTOCONF:-autoconf}
@@ -241,11 +241,11 @@ fi
if (gettext --version </dev/null 2>/dev/null | awk 'NR==1 { split($4,A,"."); \
- X=10000*A[1]+100*A[2]+A[3]; echo X; if( X >= 1038 ) exit 1; exit 0}')
+ X=10000*A[1]+100*A[2]+A[3]; echo X; if( X >= 1201 ) exit 1; exit 0}')
then
echo "**Error**: You must have "\`gettext\'" installed to compile $PGM."
- echo ' (version 0.10.38 or newer is required; get'
- echo ' ftp://alpha.gnu.org/gnu/gettext/gettext-0.10.38.tar.gz'
+ echo ' (version 0.12.1 or newer is required; get'
+ echo ' ftp://alpha.gnu.org/gnu/gettext/gettext-0.12.1.tar.gz'
echo ' or install the latest Debian package)'
DIE="yes"
fi
@@ -256,7 +256,7 @@ if test "$DIE" = "yes"; then
fi
echo "Running aclocal..."
-$ACLOCAL
+$ACLOCAL -I m4
echo "Running autoheader..."
$AUTOHEADER
echo "Running automake --gnu ..."